echo off
cls
if exist uplot.dat goto bypass
echo .
echo  First we install UPLOT(C) for your systems display.
echo .
echo  After you select which screen mode for your system,
echo  a new file named UPLOT.DAT is created.
echo .
echo .
pause
install
echo .
echo  Now that you have installed UPLOT(C), we will look at
echo  a few sample plots which should be included with this program.
:bypass
echo .
echo .
echo  When you are done: To exit UPLOT(C) - press "ESC" escape
echo  key.
echo .
echo .
pause
echo on
uplot plot1.plt 2 1 n
echo off
echo .
echo .
echo  Next we will look at a plot of joystick data which
echo  includes a time stamping plot as plot # 5 (TS).  You
echo  will notice the time stamp has peaks much higher than
echo  the normal/base value.  These time variations are caused
echo  by DOS handling the Hard disk writes.
echo  This can be eliminated by writing file to a RAMDRIVE.
echo  Just include the ramdrive before the output file name.
echo  (Example: E:\stick.plt)
echo  This time, since the Time Stamp plot has one pixel peaks
echo  which are hard to see, try the "L" key to toggle on the line
echo  plotting feature.  It will make it much easier to see the
echo  time stamp peaks.
echo .
echo .
echo  When you are done: To exit UPLOT(C) - press "ESC" escape
echo  key.
echo .
echo .
pause
echo on
uplot plot2.plt 2 1 y
echo off
echo .
echo .
echo  Next we will look at a plot of joystick data which
echo  includes a time stamping plot as plot # 5 (TS).  You
echo  will notice the time stamp is uniform.  This was done
echo  by using the command line running (setting the number
echo  of samples and time of acquisitions and turning off display).
echo  This time, since the plot is small in length and has
echo  a lot of movement, try the "L" key to toggle on the line
echo  plotting feature.  It will make it much easier to see the
echo  data pattern.
echo .
echo .
echo  When you are done: To exit UPLOT(C) - press "ESC" escape
echo  key.
echo .
echo .
pause
echo on
uplot plot3.plt 2 1 y
echo off
echo .
echo .
echo  We will next take 500 samples of data from your Joystick
echo  port A using the STICK(C) program included in the UPLOT(C)
echo  shareware package.
echo .
echo  You must have a JOYSTICK PORT for this to work correctly!
echo  If you don't have one on your system with a joystick connected,
echo  then you must abort this demo at the next pause by hitting
echo  "Ctrl"&"BREAK" or "Ctrl"&"C" depending on your system!
echo .
echo .
pause
echo .
echo  While STICK(C) is running, slowly move your joystick so
echo  you will get varing data patterns.  You will notice a
echo  counter running on the top of the screen, this lets you
echo  see how many samples have been taken.
echo .
echo .
pause
echo on
stick stick.plt 2 1 20 500 y
echo off
echo .
echo .
echo  Now you should have a file named STICK.PLT which contains
echo  the newly acquired readings from the joystick port A.
echo .
echo  We will use UPLOT(C) to display it.
echo .
echo  When you are done: To exit UPLOT(C) - press "ESC" escape
echo  key.
echo .
echo  Hint: Try the "H" key to see the help screen!
echo .
echo .
pause
echo on
uplot stick.plt 2 1 y
echo off
echo .
echo .
echo  This is the end of the demonistration - thanks for
echo  trying UPLOT(C)
echo .
echo  If you find these programs useful -  please register.  
echo .
echo  *****************************************************
echo  ***  Shareware will only work if you support it!  ***
echo  *****************************************************
echo .
echo  The current information on registation can be read at the end of
echo  the help file while using UPLOT(C). [pressing the "H" key]
echo .
echo .
pause
echo .
echo  The plot data files are *.PLT
dir *.PLT /w
echo .
echo END OF DEMO
echo .

